Index: /branches/proxy/src/lib/util/sigslot/signal.h
===================================================================
--- /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9367)
+++ /branches/proxy/src/lib/util/sigslot/signal.h	(revision 9368)
@@ -1752,60 +1752,60 @@
   class signal2 : public _signal_base2<arg1_type, arg2_type, mt_policy>
   {
-    public:
-      signal2()
-      {
-        ;
-      }
-
-      signal2(const signal2<arg1_type, arg2_type, mt_policy>& s)
-          : _signal_base2<arg1_type, arg2_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection2<desttype, arg1_type, arg2_type, mt_policy>* conn = new
-            _connection2<desttype, arg1_type, arg2_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal2()
+    {
+      ;
+    }
+
+    signal2(const signal2<arg1_type, arg2_type, mt_policy>& s)
+        : _signal_base2<arg1_type, arg2_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection2<desttype, arg1_type, arg2_type, mt_policy>* conn = new
+          _connection2<desttype, arg1_type, arg2_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base2<arg1_type, arg2_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base2<arg1_type, arg2_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base2<arg1_type, arg2_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base2<arg1_type, arg2_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -1813,61 +1813,61 @@
   class signal3 : public _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>
   {
-    public:
-      signal3()
-      {
-        ;
-      }
-
-      signal3(const signal3<arg1_type, arg2_type, arg3_type, mt_policy>& s)
-          : _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection3<desttype, arg1_type, arg2_type, arg3_type, mt_policy>* conn =
-          new _connection3<desttype, arg1_type, arg2_type, arg3_type, mt_policy>(pclass,
-              pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal3()
+    {
+      ;
+    }
+
+    signal3(const signal3<arg1_type, arg2_type, arg3_type, mt_policy>& s)
+        : _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection3<desttype, arg1_type, arg2_type, arg3_type, mt_policy>* conn =
+        new _connection3<desttype, arg1_type, arg2_type, arg3_type, mt_policy>(pclass,
+            pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base3<arg1_type, arg2_type, arg3_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -1876,61 +1876,61 @@
         arg4_type, mt_policy>
   {
-    public:
-      signal4()
-      {
-        ;
-      }
-
-      signal4(const signal4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>& s)
-          : _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type, arg4_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection4<desttype, arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>*
-        conn = new _connection4<desttype, arg1_type, arg2_type, arg3_type,
-               arg4_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal4()
+    {
+      ;
+    }
+
+    signal4(const signal4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>& s)
+        : _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type, arg4_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection4<desttype, arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>*
+      conn = new _connection4<desttype, arg1_type, arg2_type, arg3_type,
+             arg4_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base4<arg1_type, arg2_type, arg3_type, arg4_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -1940,65 +1940,65 @@
         arg4_type, arg5_type, mt_policy>
   {
-    public:
-      signal5()
-      {
-        ;
-      }
-
-      signal5(const signal5<arg1_type, arg2_type, arg3_type, arg4_type,
-              arg5_type, mt_policy>& s)
-          : _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type,
-          arg5_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type, arg4_type, arg5_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection5<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
-        arg5_type, mt_policy>* conn = new _connection5<desttype, arg1_type, arg2_type,
-                                      arg3_type, arg4_type, arg5_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                arg5_type a5)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                      arg5_type a5)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal5()
+    {
+      ;
+    }
+
+    signal5(const signal5<arg1_type, arg2_type, arg3_type, arg4_type,
+            arg5_type, mt_policy>& s)
+        : _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type,
+        arg5_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type, arg4_type, arg5_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection5<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
+      arg5_type, mt_policy>* conn = new _connection5<desttype, arg1_type, arg2_type,
+                                    arg3_type, arg4_type, arg5_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+              arg5_type a5)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+                    arg5_type a5)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base5<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -2009,66 +2009,66 @@
         arg4_type, arg5_type, arg6_type, mt_policy>
   {
-    public:
-      signal6()
-      {
-        ;
-      }
-
-      signal6(const signal6<arg1_type, arg2_type, arg3_type, arg4_type,
-              arg5_type, arg6_type, mt_policy>& s)
-          : _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type,
-          arg5_type, arg6_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type, arg4_type, arg5_type, arg6_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection6<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
-        arg5_type, arg6_type, mt_policy>* conn =
-          new _connection6<desttype, arg1_type, arg2_type, arg3_type,
-          arg4_type, arg5_type, arg6_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                arg5_type a5, arg6_type a6)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                      arg5_type a5, arg6_type a6)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal6()
+    {
+      ;
+    }
+
+    signal6(const signal6<arg1_type, arg2_type, arg3_type, arg4_type,
+            arg5_type, arg6_type, mt_policy>& s)
+        : _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type,
+        arg5_type, arg6_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type, arg4_type, arg5_type, arg6_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection6<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
+      arg5_type, arg6_type, mt_policy>* conn =
+        new _connection6<desttype, arg1_type, arg2_type, arg3_type,
+        arg4_type, arg5_type, arg6_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+              arg5_type a5, arg6_type a6)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+                    arg5_type a5, arg6_type a6)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base6<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -2078,67 +2078,67 @@
         arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>
   {
-    public:
-      signal7()
-      {
-        ;
-      }
-
-      signal7(const signal7<arg1_type, arg2_type, arg3_type, arg4_type,
-              arg5_type, arg6_type, arg7_type, mt_policy>& s)
-          : _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type,
-          arg5_type, arg6_type, arg7_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type, arg4_type, arg5_type, arg6_type,
-                   arg7_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection7<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
-        arg5_type, arg6_type, arg7_type, mt_policy>* conn =
-          new _connection7<desttype, arg1_type, arg2_type, arg3_type,
-          arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                arg5_type a5, arg6_type a6, arg7_type a7)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6, a7);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                      arg5_type a5, arg6_type a6, arg7_type a7)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6, a7);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal7()
+    {
+      ;
+    }
+
+    signal7(const signal7<arg1_type, arg2_type, arg3_type, arg4_type,
+            arg5_type, arg6_type, arg7_type, mt_policy>& s)
+        : _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type,
+        arg5_type, arg6_type, arg7_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type, arg4_type, arg5_type, arg6_type,
+                 arg7_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection7<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
+      arg5_type, arg6_type, arg7_type, mt_policy>* conn =
+        new _connection7<desttype, arg1_type, arg2_type, arg3_type,
+        arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+              arg5_type a5, arg6_type a6, arg7_type a7)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6, a7);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+                    arg5_type a5, arg6_type a6, arg7_type a7)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base7<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6, a7);
+
+        it = itNext;
+      }
+    }
   };
 
@@ -2148,68 +2148,68 @@
         arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>
   {
-    public:
-      signal8()
-      {
-        ;
-      }
-
-      signal8(const signal8<arg1_type, arg2_type, arg3_type, arg4_type,
-              arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>& s)
-          : _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type,
-          arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>(s)
-      {
-        ;
-      }
-
-      template<class desttype>
-      void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
-                   arg2_type, arg3_type, arg4_type, arg5_type, arg6_type,
-                   arg7_type, arg8_type))
-      {
-        lock_block<mt_policy> lock(this);
-        _connection8<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
-        arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* conn =
-          new _connection8<desttype, arg1_type, arg2_type, arg3_type,
-          arg4_type, arg5_type, arg6_type, arg7_type,
-          arg8_type, mt_policy>(pclass, pmemfun);
-        m_connected_slots.push_back(conn);
-        pclass->signal_connect(this);
-      }
-
-      void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                arg5_type a5, arg6_type a6, arg7_type a7, arg8_type a8)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6, a7, a8);
-
-          it = itNext;
-        }
-      }
-
-      void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
-                      arg5_type a5, arg6_type a6, arg7_type a7, arg8_type a8)
-      {
-        lock_block<mt_policy> lock(this);
-        typename connections_list::const_iterator itNext, it = m_connected_slots.begin();
-        typename connections_list::const_iterator itEnd = m_connected_slots.end();
-
-        while(it != itEnd)
-        {
-          itNext = it;
-          ++itNext;
-
-          (*it)->emit(a1, a2, a3, a4, a5, a6, a7, a8);
-
-          it = itNext;
-        }
-      }
+  public:
+    signal8()
+    {
+      ;
+    }
+
+    signal8(const signal8<arg1_type, arg2_type, arg3_type, arg4_type,
+            arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>& s)
+        : _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type,
+        arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>(s)
+    {
+      ;
+    }
+
+    template<class desttype>
+    void connect(desttype* pclass, void (desttype::*pmemfun)(arg1_type,
+                 arg2_type, arg3_type, arg4_type, arg5_type, arg6_type,
+                 arg7_type, arg8_type))
+    {
+      lock_block<mt_policy> lock(this);
+      _connection8<desttype, arg1_type, arg2_type, arg3_type, arg4_type,
+      arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>* conn =
+        new _connection8<desttype, arg1_type, arg2_type, arg3_type,
+        arg4_type, arg5_type, arg6_type, arg7_type,
+        arg8_type, mt_policy>(pclass, pmemfun);
+      this->m_connected_slots.push_back(conn);
+      pclass->signal_connect(this);
+    }
+
+    void emit(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+              arg5_type a5, arg6_type a6, arg7_type a7, arg8_type a8)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6, a7, a8);
+
+        it = itNext;
+      }
+    }
+
+    void operator()(arg1_type a1, arg2_type a2, arg3_type a3, arg4_type a4,
+                    arg5_type a5, arg6_type a6, arg7_type a7, arg8_type a8)
+    {
+      lock_block<mt_policy> lock(this);
+      typename _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>::connections_list::const_iterator itNext, it = this->m_connected_slots.begin();
+      typename _signal_base8<arg1_type, arg2_type, arg3_type, arg4_type, arg5_type, arg6_type, arg7_type, arg8_type, mt_policy>::connections_list::const_iterator itEnd = this->m_connected_slots.end();
+
+      while(it != itEnd)
+      {
+        itNext = it;
+        ++itNext;
+
+        (*it)->emit(a1, a2, a3, a4, a5, a6, a7, a8);
+
+        it = itNext;
+      }
+    }
   };
 
